Package docking.widgets.tree

# Class DefaultGTreeFilterProvider

java.lang.Object
docking.widgets.tree.DefaultGTreeFilterProvider

All Implemented Interfaces:
  `GTreeFilterProvider`

public class DefaultGTreeFilterProvider extends Object implements GTreeFilterProvider

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultGTreeFilterProvider(GTree gTree)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GTreeFilter`
  `getFilter()`
  `JComponent`
  `getFilterComponent()`
  `String`
  `getFilterText()`
  `void`
  `loadFilterPreference(DockingWindowManager windowManager, String uniquePreferenceKey)`
  `void`
  `setDataTransformer(FilterTransformer<GTreeNode> transformer)`
  `void`
  `setEnabled(boolean enabled)`
  `void`
  `setFilterOptions(FilterOptions filterOptions)`
  `void`
  `setFilterText(String text)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultGTreeFilterProvider

    public DefaultGTreeFilterProvider(GTree gTree)

- ## Method Details

  - ### getFilterComponent

    public JComponent getFilterComponent()
    Specified by:
      `getFilterComponent` in interface `GTreeFilterProvider`

  - ### setFilterText

    public void setFilterText(String text)
    Specified by:
      `setFilterText` in interface `GTreeFilterProvider`

  - ### setEnabled

    public void setEnabled(boolean enabled)
    Specified by:
      `setEnabled` in interface `GTreeFilterProvider`

  - ### setFilterOptions

    public void setFilterOptions(FilterOptions filterOptions)

  - ### loadFilterPreference

    public void loadFilterPreference(DockingWindowManager windowManager, String uniquePreferenceKey)
    Specified by:
      `loadFilterPreference` in interface `GTreeFilterProvider`

  - ### getFilter

    public GTreeFilter getFilter()
    Specified by:
      `getFilter` in interface `GTreeFilterProvider`

  - ### getFilterText

    public String getFilterText()
    Specified by:
      `getFilterText` in interface `GTreeFilterProvider`

  - ### setDataTransformer

    public void setDataTransformer(FilterTransformer<GTreeNode> transformer)
    Specified by:
      `setDataTransformer` in interface `GTreeFilterProvider`